# Class Geometry3dHandle

Represents a handle for a 3D geometry. Can be used to unload the geometry from the GPU.

#### Hierarchy (View Summary)

- Geometry3dHandle
  - Geometry3d

##### Index

### Constructors

constructor

### Properties

aabb
center
cullingDistance
id
isTransparent
productsAndMeshes

## Constructors

### constructor

- new Geometry3dHandle(
  id: string,
  aabb: { max: Vector3; min: Vector3 },
  isTransparent: boolean,
  productsAndMeshes: BimIfcProductsAndMeshes,
  cullingDistance: number,
  center: Vector3,
  ): Geometry3dHandle

  Creates a new instance of the Geometry3dHandle class.

  #### Parameters

  - id: string

    The unique identifier for the geometry.

  - aabb: { max: Vector3; min: Vector3 }

    The axis-aligned bounding box of the geometry.

  - isTransparent: boolean

    Indicates whether the geometry is transparent.

  - productsAndMeshes: BimIfcProductsAndMeshes

    The products and meshes associated with the geometry.

  - cullingDistance: number

    The distance at which the geometry should be culled.

  - center: Vector3

    The center of the geometry's axis-aligned bounding box in IFC space.

  #### Returns Geometry3dHandle

## Properties

### `Readonly` aabb

aabb: { max: Vector3; min: Vector3 }

The axis-aligned bounding box of the geometry.

### `Readonly` center

center: Vector3

The center of the geometry's axis-aligned bounding box in IFC space.

### `Readonly` cullingDistance

cullingDistance: number

The distance at which the geometry should be culled.

### `Readonly` id

id: string

The unique identifier for the geometry.

### `Readonly` isTransparent

isTransparent: boolean

Indicates whether the geometry is transparent.

### `Readonly` productsAndMeshes

productsAndMeshes: BimIfcProductsAndMeshes

The products and meshes associated with the geometry.